HP OpenVMS Systems Documentation

Content starts here
HP Open Source Security for OpenVMS Volume 1: Common Data Security Architecture > Chapter 2 Installation and Initialization

Installation of CDSA Version 2.2 on OpenVMS Versions Earlier than Version 8.3

  Table of Contents

  Glossary

  Index

Although older versions of CDSA are pre-installed on OpenVMS Version 7.3-2 and Version 8.2, you can install and run CDSA Version 2.2.

CDSA Version 2.2 Setup and Initialization

If you want to run CDSA Version 2.2 on OpenVMS Version 8.2 or 7.3-2, you must manually install the CDSA Version 2.2 kit, which is included on the OpenVMS Version 8.3 media. Use the following command to install CDSA Version 2.2 on an OpenVMS Version 8.2 or 7.3-2 system:

$ PRODUCT INSTALL CDSA /SOURCE=disk:[directory]
The following product has been selected:
CPQ AXPVMS CDSA V2.2 Layered Product

Do you want to continue? [YES]

Configuration phase starting ...

You will be asked to choose options, if any, for each selected product and for
any products that may be installed to satisfy software dependency requirements.

CPQ AXPVMS CDSA V2.2

Do you want the defaults for all options? [YES]

Do you want to review the options? [NO]

Execution phase starting ...

The following product will be installed to destination:
CPQ AXPVMS CDSA V2.2 DISK$SYSTEM:[VMS$COMMON.]

Portion done:
0%...10%...20%...30%...40%...50%...60%...70%...80%...90%...100%

The following product has been installed:
CPQ AXPVMS CDSA V2.2 Layered Product

CPQ AXPVMS CDSA V2.2
$

Before you can use CDSA Version 2.2. you must perform the following manual procedure, for which you must have SYSPRV privileges. Execute the following command to initialize CDSA Version 2.0:

$ @SYS$STARTUP:CDSA$UPGRADE

This procedure automatically runs CDSA$INITIALIZE. It is not necessary to rerun any initialization procedure when the system is rebooted; therefore, you do not need to add the initialization to the OpenVMS startup procedures.

The CDSA$UPGRADE procedure can take a few minutes, depending on your processor and disk speeds. When the procedure is run interactively, you will see system messages similar to the following:

CDSA-I-Init, CDSA has previously been initialized on this system.
CDSA-I-Init, Re-initializing CDSA.

CDSA-I-Init, Initializing CDSA
MDS installed successfully.
Module uninstalled successfully.
Module uninstalled successfully.
Module uninstalled successfully.
Module uninstalled successfully.
Module uninstalled successfully.
Module uninstalled successfully.
Module uninstalled successfully.
Module uninstalled successfully.
CDSA-I-Init, CDSA Initialization complete

CDSA-I-Init, Initializing Secure Delivery
Install completed successfully.
Install completed successfully.
Module installed successfully.
Module installed successfully.
CDSA-I-Init, Secure Delivery Initialization complete
$

Warning Against Uninstalling CDSA from OpenVMS Alpha Version 7.3-1 or Higher

The POLYCENTER Software Installation utility command PRODUCT REMOVE is not supported for CDSA on OpenVMS Alpha Version 7.3-1 or higher, even though there is an apparent option to remove CDSA. (This option is due to the use of the POLYCENTER Software Installation utility in the installation.) CDSA is installed together with the operating system and is tightly bound with it. An attempt to remove it from Version 7.3-1 or higher would not work cleanly and could create other undesirable side effects. An attempt to remove CDSA results in the following message:

%PCSI-E-HRDREF, product CPQ AXPVMS CDSA Vx.x is
referenced by DEC AXPVMS OPENVMS V7.3-2
-PCSI-E-HRDRF1, the two products are tightly bound
by this software dependency